package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.model.PagingBaseModel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: sunxiang
 * @Date: 2018/7/24 13:34
 * @Description:
 **/
public class LeaveMessageSearchModel extends PagingBaseModel{

    private String  publishByString;//留言用户
    private String msgState;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createdAtFrom;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createdAtTo;

    public String getPublishByString() {
        return publishByString;
    }

    public void setPublishByString(String publishByString) {
        this.publishByString = publishByString;
    }

    public String getMsgState() {
        return msgState;
    }

    public void setMsgState(String msgState) {
        this.msgState = msgState;
    }

    public Date getCreatedAtFrom() {
        return createdAtFrom;
    }

    public void setCreatedAtFrom(Date createdAtFrom) {
        this.createdAtFrom = createdAtFrom;
    }

    public Date getCreatedAtTo() {
        return createdAtTo;
    }

    public void setCreatedAtTo(Date createdAtTo) {
        this.createdAtTo = createdAtTo;
    }
}
